// Protocol Buffers - Google's data interchange format
// Copyright 2023 Google LLC.  All rights reserved.
//
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file or at
// https://developers.google.com/open-source/licenses/bsd

#ifndef UPB_BITS_MINI_TABLE_FIELD_H_
#define UPB_BITS_MINI_TABLE_FIELD_H_

#include <stddef.h>
#include <stdint.h>

#include "upb/mini_table/field.h"

// Must be last.
#include "upb/port/def.inc"

#ifdef __cplusplus
extern "C" {
#endif

UPB_INLINE char upb_MiniTableField_HasbitMask(const upb_MiniTableField* f) {
  return UPB_PRIVATE(_upb_MiniTableField_HasbitMask)(f);
}

UPB_INLINE size_t upb_MiniTableField_HasbitOffset(const upb_MiniTableField* f) {
  return UPB_PRIVATE(_upb_MiniTableField_HasbitOffset)(f);
}

UPB_INLINE uint16_t upb_MiniTableField_Offset(const upb_MiniTableField* f) {
  return UPB_PRIVATE(_upb_MiniTableField_Offset)(f);
}

UPB_INLINE size_t upb_MiniTableField_OneofOffset(const upb_MiniTableField* f) {
  return UPB_PRIVATE(_upb_MiniTableField_OneofOffset)(f);
}

#ifdef __cplusplus
} /* extern "C" */
#endif

#include "upb/port/undef.inc"

#endif /* UPB_BITS_MINI_TABLE_FIELD_H_ */
